<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="getUsers($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-list>
    <ion-item *ngFor="let user of users" (click)="handleButtonClick(user)">
      <ion-avatar slot="start">
        <img
          src="https://ionicframework.com/docs/demos/api/avatar/avatar.svg"
        />
      </ion-avatar>
      <ion-label>
        <h3>{{ user.fullName }}</h3>
        <ion-text color="success"><p>hasActiveOrder</p></ion-text>
        <ion-text color="dark"
          ><p>
            {{ user.cellphone }}<span *ngIf="user.telephone">
              | {{ user.telephone }}</span
            >
          </p></ion-text
        >
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <ion-fab-button size="small" color="success" routerLink="post">
      <ion-icon name="person-add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
